diff -uNrp linux-2.6.14.5/net/core/dev.c linux-2.6.14.5-ipipe-1.1-lttng-0.5-v3/net/core/dev.c
--- linux-2.6.14.5/net/core/dev.c	2005-12-27 01:26:33.000000000 +0100
+++ linux-2.6.14.5-ipipe-1.1-lttng-0.5-v3/net/core/dev.c	2006-01-22 13:01:14.000000000 +0100
@@ -72,6 +72,7 @@
  *				        - netif_rx() feedback
  */
 
+#include <linux/ltt/ltt-facility-network.h>
 #include <asm/uaccess.h>
 #include <asm/system.h>
 #include <linux/bitops.h>
@@ -1259,6 +1260,8 @@ int dev_queue_xmit(struct sk_buff *skb)
 	      	if (skb_checksum_help(skb, 0))
 	      		goto out_kfree_skb;
 
+	trace_network_packet_out(skb, skb->protocol);
+
 	spin_lock_prefetch(&dev->queue_lock);
 
 	/* Disable soft irqs for various locks below. Also 
@@ -1584,6 +1587,8 @@ int netif_receive_skb(struct sk_buff *sk
 
 	__get_cpu_var(netdev_rx_stat).total++;
 
+	trace_network_packet_in(skb, skb->protocol);
+
 	skb->h.raw = skb->nh.raw = skb->data;
 	skb->mac_len = skb->nh.raw - skb->mac.raw;
 
diff -uNrp linux-2.6.14.5/net/socket.c linux-2.6.14.5-ipipe-1.1-lttng-0.5-v3/net/socket.c
--- linux-2.6.14.5/net/socket.c	2005-12-27 01:26:33.000000000 +0100
+++ linux-2.6.14.5-ipipe-1.1-lttng-0.5-v3/net/socket.c	2006-01-22 13:01:14.000000000 +0100
@@ -58,6 +58,7 @@
  *	Based upon Swansea University Computer Society NET3.039
  */
 
+#include <linux/ltt/ltt-facility-socket.h>
 #include <linux/config.h>
 #include <linux/mm.h>
 #include <linux/smp_lock.h>
@@ -556,6 +557,11 @@ int sock_sendmsg(struct socket *sock, st
 	struct sock_iocb siocb;
 	int ret;
 
+	trace_socket_sendmsg(sock, sock->sk->sk_family,
+												sock->sk->sk_type,
+												sock->sk->sk_protocol,
+												size);
+
 	init_sync_kiocb(&iocb, NULL);
 	iocb.private = &siocb;
 	ret = __sock_sendmsg(&iocb, sock, msg, size);
@@ -608,6 +614,11 @@ int sock_recvmsg(struct socket *sock, st
 	struct sock_iocb siocb;
 	int ret;
 
+	trace_socket_recvmsg(sock, sock->sk->sk_family,
+												sock->sk->sk_type,
+												sock->sk->sk_protocol,
+												size);
+
         init_sync_kiocb(&iocb, NULL);
 	iocb.private = &siocb;
 	ret = __sock_recvmsg(&iocb, sock, msg, size, flags);
@@ -1199,6 +1210,11 @@ asmlinkage long sys_socket(int family, i
 	if (retval < 0)
 		goto out_release;
 
+	trace_socket_create(sock, family,
+											type,
+											protocol,
+											retval);
+
 out:
 	/* It may be already another descriptor 8) Not kernel problem. */
 	return retval;
@@ -1926,6 +1942,8 @@ asmlinkage long sys_socketcall(int call,
 
 	a0=a[0];
 	a1=a[1];
+
+	trace_socket_call(call, a0);
 	
 	switch(call) 
 	{
